#include <mntent.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <stdio.h>
#include <glob.h>
int lstat_helper(char* path)
{
  struct stat buf;
  return lstat(path, &buf);
}


int hsshellscript_open_nonvariadic(const char *pathname, int flags, mode_t mode)
{
  open(pathname, flags, mode);
}



int do_glob(glob_t* buf, const char* pattern)
{
  int ret;
  buf->gl_pathv = 0;
  ret = glob(pattern, GLOB_ERR, 0, buf);

  switch (ret) {
    case 0:            return 0;
    case GLOB_ABORTED: return 1;
    case GLOB_NOSPACE: return 2;
    case GLOB_NOMATCH: return 3;
  }
}

